Click or drag to resize

OrdinateDimensionCreate Method

Initialize Dimension parameters

Namespace:  Rhino.Geometry
Assembly:  RhinoCommon (in RhinoCommon.dll)
Syntax
public static OrdinateDimension Create(
	DimensionStyle dimStyle,
	Plane plane,
	OrdinateDimensionMeasuredDirection direction,
	Point3d basepoint,
	Point3d defpoint,
	Point3d leaderpoint,
	double kinkoffset1,
	double kinkoffset2
)

Parameters

dimStyle
Type: Rhino.DocObjectsDimensionStyle

[Missing <param name="dimStyle"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

plane
Type: Rhino.GeometryPlane

[Missing <param name="plane"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

direction
Type: Rhino.GeometryOrdinateDimensionMeasuredDirection

[Missing <param name="direction"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

basepoint
Type: Rhino.GeometryPoint3d

[Missing <param name="basepoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

defpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="defpoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

leaderpoint
Type: Rhino.GeometryPoint3d

[Missing <param name="leaderpoint"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

kinkoffset1
Type: SystemDouble

[Missing <param name="kinkoffset1"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

kinkoffset2
Type: SystemDouble

[Missing <param name="kinkoffset2"/> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

Return Value

Type: OrdinateDimension

[Missing <returns> documentation for "M:Rhino.Geometry.OrdinateDimension.Create(Rhino.DocObjects.DimensionStyle,Rhino.Geometry.Plane,Rhino.Geometry.OrdinateDimension.MeasuredDirection,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,Rhino.Geometry.Point3d,System.Double,System.Double)"]

Version Information

Rhino for Windows

Supported in: 6.1 BETA
See Also